Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class FlashGeneratorApp

    java.lang.Object
      |
      +--com.macromedia.generator.app.FlashGeneratorApp

All Implemented Interfaces:
  FlashCommandLog

Direct Known Subclasses:
  FlashGeneratorPreview

public class FlashGeneratorApp
extends java.lang.Object
implements FlashCommandLog

Field Summary
`protected CacheManager` | `cacheMgr`
`protected CacheProperties` | `cacheProps`
`protected java.lang.String` | `clientMapName`
`protected java.lang.String` | `clientMapPath`
`protected int` | `defaultBitDepth`
`protected int` | `defaultHeight`
`protected int` | `defaultWidth`
`protected java.lang.String` | `embeddedString`
`protected boolean` | `exactFit`
`protected java.lang.String` | `extFontLocation`
`protected java.lang.String` | `flashPath`
`protected java.lang.String` | `gifPath`
`protected java.lang.String` | `inputPath`
`protected boolean` | `isPreviewMode`
`protected java.lang.String` | `jpegPath`
`protected int` | `logLevel`
`protected boolean` | `logOpened`
`protected java.lang.String` | `logPath`
`protected java.io.PrintWriter` | `logWriter`
`protected java.util.Vector` | `params`
`protected java.lang.String` | `pngPath`
`protected java.lang.String` | `projectorM68kPath`
`protected java.lang.String` | `projectorMFatPath`
`protected java.lang.String` | `projectorMPPCPath`
`protected int` | `projectorType`
`protected java.lang.String` | `projectorW16Path`
`protected java.lang.String` | `projectorWPath`
`protected boolean` | `publishSerialNum`
`protected java.lang.String` | `QTMPath`
`protected java.util.ResourceBundle` | `resources`
`protected Serial` | `serial`
`protected java.lang.String` | `serverMapPath`
`protected java.lang.String` | `txtPath`

Constructor Summary
`FlashGeneratorApp()`

Method Summary
`protected java.lang.String` | `addExtension(java.lang.String s, java.lang.String s1)`
`protected void` | `deleteFile(java.lang.String s)`
`void` | `execute(java.lang.String[] as)`
`protected void` | `finalize()`
`protected java.lang.String` | `getPropertiesPath()`
`protected java.lang.String` | `getResString(java.lang.String s)`
`protected java.lang.String` | `getSerializePath()`
`void` | `init()`
`protected void` | `initCaches()`
`protected void` | `initProperties()`
`protected void` | `initSerialization()`
`protected void` | `loadResources()`
`protected void` | `log(java.lang.String s)`
`int` | `logLevel()`
`void` | `logMessage(java.lang.String s)`
`void` | `logMessage(java.lang.String s, java.lang.String s1, java.lang.String s2)`
`static void` | `main(java.lang.String[] args)`
`protected boolean` | `processArgs(java.lang.String[] as)`
`protected boolean` | `processTemplate()`
`protected void` | `resetPaths()`
`protected boolean` | `setCacheProperty(java.lang.String s, java.lang.String s1)`
`protected void` | `setMacFileType(java.lang.String s, java.lang.String s1, java.lang.String s2)`
`protected void` | `usage(boolean flag)`
`protected void` | `writeBuffer(java.lang.String s, Buffer buffer)`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logLevel

    protected int logLevel

### extFontLocation

    protected java.lang.String extFontLocation

### logOpened

    protected boolean logOpened

### logPath

    protected java.lang.String logPath

### inputPath

    protected java.lang.String inputPath

### gifPath

    protected java.lang.String gifPath

### jpegPath

    protected java.lang.String jpegPath

### pngPath

    protected java.lang.String pngPath

### QTMPath

    protected java.lang.String QTMPath

### txtPath

    protected java.lang.String txtPath

### flashPath

    protected java.lang.String flashPath

### projectorWPath

    protected java.lang.String projectorWPath

### projectorMPPCPath

    protected java.lang.String projectorMPPCPath

### projectorM68kPath

    protected java.lang.String projectorM68kPath

### projectorMFatPath

    protected java.lang.String projectorMFatPath

### projectorW16Path

    protected java.lang.String projectorW16Path

### serverMapPath

    protected java.lang.String serverMapPath

### clientMapPath

    protected java.lang.String clientMapPath

### clientMapName

    protected java.lang.String clientMapName

### embeddedString

    protected java.lang.String embeddedString

### params

    protected java.util.Vector params

### logWriter

    protected java.io.PrintWriter logWriter

### isPreviewMode

    protected boolean isPreviewMode

### projectorType

    protected int projectorType

### defaultWidth

    protected int defaultWidth

### defaultHeight

    protected int defaultHeight

### defaultBitDepth

    protected int defaultBitDepth

### exactFit

    protected boolean exactFit

### resources

    protected java.util.ResourceBundle resources

### serial

    protected Serial serial

### publishSerialNum

    protected boolean publishSerialNum

### cacheMgr

    protected CacheManager cacheMgr

### cacheProps

    protected CacheProperties cacheProps

Constructor Detail

### FlashGeneratorApp

    public FlashGeneratorApp()

Method Detail

### addExtension

    protected java.lang.String addExtension(java.lang.String s,
                                            java.lang.String s1)

### deleteFile

    protected void deleteFile(java.lang.String s)

### execute

    public void execute(java.lang.String[] as)

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getPropertiesPath

    protected java.lang.String getPropertiesPath()

### getResString

    protected java.lang.String getResString(java.lang.String s)

### getSerializePath

    protected java.lang.String getSerializePath()

### init

    public void init()

### initCaches

    protected void initCaches()

### initProperties

    protected void initProperties()

### initSerialization

    protected void initSerialization()

### loadResources

    protected void loadResources()

### log

    protected void log(java.lang.String s)

### logLevel

    public int logLevel()

  Specified by:
    `logLevel` in interface `FlashCommandLog`

### logMessage

    public void logMessage(java.lang.String s)

  Specified by:
    `logMessage` in interface `FlashCommandLog`

### logMessage

    public void logMessage(java.lang.String s,
                           java.lang.String s1,
                           java.lang.String s2)

  Specified by:
    `logMessage` in interface `FlashCommandLog`

### main

    public static void main(java.lang.String[] args)

### processArgs

    protected boolean processArgs(java.lang.String[] as)

### processTemplate

    protected boolean processTemplate()

### resetPaths

    protected void resetPaths()

### setCacheProperty

    protected boolean setCacheProperty(java.lang.String s,
                                       java.lang.String s1)

### setMacFileType

    protected void setMacFileType(java.lang.String s,
                                  java.lang.String s1,
                                  java.lang.String s2)

### usage

    protected void usage(boolean flag)

### writeBuffer

    protected void writeBuffer(java.lang.String s,
                               Buffer buffer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD